Dev Team Working on Baseband Downgrade for Easier iPhone Unlock

By , Dec 8, 2010

Those of you who recently unlocked their iPhones running iOS 4.2.1 or 4.1 know that the process wasn’t as straightforward as we expected. The latest UltraSn0w unlock works for the iPhone 3G or iPhone 3GS with baseband 04.26.08, 05.11.07, 05.12.01, or 05.13.04. It also works with iPhone 4 with baseband 01.59.00. But if you’re iPhone is on a different baseband, you have to upgrade to 06.15.00, either using RedSn0w or PwnageTool.

This new unlock doesn’t come without its share of issues, with battery drain for some of us, and/or GPS issues for others. Fortunately, it seems the Dev Team is working on a baseband downgrade method, which would make the unlock process easier, and safer…

From what I understand, the goal would be to allow an iPhone with the 4.2.1 baseband to be downgraded to 04.26.08, 05.11.07, 05.12.01, or 05.13.04, to then use UltraSn0w to unlock. Apparently, this baseband downgrade method might also work for baseband 06.15.00.

So it looks like iPhone 3G and 3GS users will be fine. It’s still not clear at this time if it will also be possible to downgrade the baseband of an iPhone 4 to 01.59.00, but let’s hope so.

As usual, we’ll keep you up to date as the news fall. Stay tuned!

  • Share:
  • Follow:
  • http://www.facebook.com/people/Marius-Cristian-Stefan/100001021271668 Marius Cristian Stefan

    My device 3g 4.2.1 bb 6.15.00 bootloader 5.09shows the gps sign next to battery but won’t connect. some hacks available?
    I downgraded another 3g’s bb 6.15.00 bootloader 5.08 with fuzzy and works fine.